MyGUI 3.2.2

Public Types | Public Member Functions | Friends
MyGUI::VertexColourType Struct Reference

`#include <MyGUI_RenderFormat.h>`

## Public Types
enum | Enum { ColourARGB, ColourABGR, MAX }

## Public Member Functions
| VertexColourType (Enum _value=MAX)
int | getValue () const

## Friends
bool | operator== (VertexColourType const &a, VertexColourType const &b)
bool | operator!= (VertexColourType const &a, VertexColourType const &b)

## Detailed Description

Definition at line 15 of file MyGUI_RenderFormat.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::VertexColourType::Enum

Enumerator
ColourARGB |
ColourABGR |
MAX |

Definition at line 18 of file MyGUI_RenderFormat.h.

## Constructor & Destructor Documentation

## ◆ VertexColourType()

MyGUI::VertexColourType::VertexColourType | ( | Enum | _value = `MAX` | ) |
| inline

Definition at line 25 of file MyGUI_RenderFormat.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::VertexColourType::getValue | ( |  | ) | const
| inline

Definition at line 40 of file MyGUI_RenderFormat.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | VertexColourType const & | a,
|  | VertexColourType const & | b
| ) |  |
| friend

Definition at line 35 of file MyGUI_RenderFormat.h.

## ◆ operator==

bool operator== | ( | VertexColourType const & | a,
|  | VertexColourType const & | b
| ) |  |
| friend

Definition at line 30 of file MyGUI_RenderFormat.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderFormat.h